/* File: xfontset.c */
/* gcc -Wall -o xfontset xfontset.c -I/usr/X11R6/include -L/usr/X11R6/lib -lX11 */
#include <locale.h>
#include <X11/Xlib.h>
#include <stdio.h>

int main(int argc, char **argv)
{
	Display *display;
	XFontSet fontSet;
	char **missing_fonts;
	int count;
	
	setlocale(LC_ALL, "");

	if ((display = XOpenDisplay(NULL)) == NULL )
	{
		perror("connect to X server");
		return -1;
	}

	fontSet = XCreateFontSet(display,
			"*", /*FIXME*/
			&missing_fonts, &count, NULL);

	printf("ximFontSet = %p, missing_fonts = %p, count = %d\n", fontSet, missing_fonts, count);

	if (missing_fonts != NULL)
	{
		int i;

		for (i = 0; i < count; ++i)
		{
			printf("missing_fonts[%d] = %s\n", i, missing_fonts[i]);
		}

		XFreeStringList(missing_fonts);
	}

	XCloseDisplay(display);

	return 0;
}
